cgDestroyEffect(3)

NAME
cgDestroyEffect - destroy an effect

SYNOPSIS
  #include <Cg/cg.h>
  void cgDestroyEffect( CGeffect effect );

PARAMETERS

effect
    The effect object to delete.

RETURN VALUES
None.

DESCRIPTION
cgDestroyEffect removes the specified effect object and all its associated data. Any CGeffect handles that reference this effect will become invalid after the effect is deleted. Likewise, all techniques, passes, and parameters contained in the effect also become invalid after the effect is destroyed.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_EFFECT_HANDLE_ERROR is generated if effect is not a valid effect.

HISTORY
cgDestroyEffect was introduced in Cg 1.4.

SEE ALSO
the cgCreateEffect manpage, the cgCreateEffectFromFile manpage